Index: src/UIElements/Dialog.cpp
===================================================================
--- src/UIElements/Dialog.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Dialog.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -21,5 +21,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 #include "CodePatterns/Log.hpp"
Index: src/UIElements/Qt4/QtMainWindow.cpp
===================================================================
--- src/UIElements/Qt4/QtMainWindow.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Qt4/QtMainWindow.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -50,5 +50,4 @@
 #include "Actions/Action.hpp"
 #include "Actions/ActionRegistry.hpp"
-#include "Actions/ValueStorage.hpp"
 #include "Parser/ChangeTracker.hpp"
 #include "Parser/FormatParserStorage.hpp"
Index: src/UIElements/Query/AtomQuery.cpp
===================================================================
--- src/UIElements/Query/AtomQuery.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Query/AtomQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -20,5 +20,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 // Atom Queries
@@ -31,5 +30,4 @@
 
 void Dialog::AtomQuery::setResult() {
-  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
 }
 
Index: src/UIElements/Query/AtomsQuery.cpp
===================================================================
--- src/UIElements/Query/AtomsQuery.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Query/AtomsQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -20,5 +20,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 
@@ -32,5 +31,4 @@
 
 void Dialog::AtomsQuery::setResult() {
-  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
 }
 
Index: src/UIElements/Query/BooleanQuery.cpp
===================================================================
--- src/UIElements/Query/BooleanQuery.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Query/BooleanQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -20,5 +20,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 
@@ -32,5 +31,4 @@
 
 void Dialog::BooleanQuery::setResult() {
-  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
 }
 
Index: src/UIElements/Query/DoubleQuery.cpp
===================================================================
--- src/UIElements/Query/DoubleQuery.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Query/DoubleQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -20,5 +20,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 
@@ -32,5 +31,4 @@
 
 void Dialog::DoubleQuery::setResult() {
-  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
 }
 
Index: src/UIElements/Query/DoublesQuery.cpp
===================================================================
--- src/UIElements/Query/DoublesQuery.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Query/DoublesQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -20,5 +20,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 
@@ -32,5 +31,4 @@
 
 void Dialog::DoublesQuery::setResult() {
-  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
 }
 
Index: src/UIElements/Query/ElementQuery.cpp
===================================================================
--- src/UIElements/Query/ElementQuery.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Query/ElementQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -20,5 +20,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 
@@ -32,5 +31,4 @@
 
 void Dialog::ElementQuery::setResult(){
-  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
 }
 
Index: src/UIElements/Query/ElementsQuery.cpp
===================================================================
--- src/UIElements/Query/ElementsQuery.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Query/ElementsQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -20,5 +20,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 
@@ -32,5 +31,4 @@
 
 void Dialog::ElementsQuery::setResult(){
-  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
 }
 
Index: src/UIElements/Query/EmptyQuery.cpp
===================================================================
--- src/UIElements/Query/EmptyQuery.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Query/EmptyQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -20,5 +20,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 
Index: src/UIElements/Query/FileQuery.cpp
===================================================================
--- src/UIElements/Query/FileQuery.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Query/FileQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -20,5 +20,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 
@@ -32,5 +31,4 @@
 
 void Dialog::FileQuery::setResult(){
-  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
 }
 
Index: src/UIElements/Query/FilesQuery.cpp
===================================================================
--- src/UIElements/Query/FilesQuery.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Query/FilesQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -20,5 +20,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 
@@ -32,5 +31,4 @@
 
 void Dialog::FilesQuery::setResult(){
-  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
 }
 
Index: src/UIElements/Query/IntQuery.cpp
===================================================================
--- src/UIElements/Query/IntQuery.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Query/IntQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -20,5 +20,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 
@@ -32,5 +31,4 @@
 
 void Dialog::IntQuery::setResult() {
-  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
 }
 
Index: src/UIElements/Query/IntsQuery.cpp
===================================================================
--- src/UIElements/Query/IntsQuery.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Query/IntsQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -20,5 +20,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 
@@ -32,5 +31,4 @@
 
 void Dialog::IntsQuery::setResult() {
-  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
 }
 
Index: src/UIElements/Query/MoleculeQuery.cpp
===================================================================
--- src/UIElements/Query/MoleculeQuery.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Query/MoleculeQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -20,5 +20,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 
@@ -32,5 +31,4 @@
 
 void Dialog::MoleculeQuery::setResult() {
-  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
 }
 
Index: src/UIElements/Query/MoleculesQuery.cpp
===================================================================
--- src/UIElements/Query/MoleculesQuery.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Query/MoleculesQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -20,5 +20,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 
@@ -32,5 +31,4 @@
 
 void Dialog::MoleculesQuery::setResult() {
-  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
 }
 
Index: src/UIElements/Query/RandomNumberDistribution_ParametersQuery.cpp
===================================================================
--- src/UIElements/Query/RandomNumberDistribution_ParametersQuery.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Query/RandomNumberDistribution_ParametersQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -20,5 +20,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 // RandomNumberDistribution_Parameters Queries
@@ -31,5 +30,4 @@
 
 void Dialog::RandomNumberDistribution_ParametersQuery::setResult() {
-  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
 }
 
Index: src/UIElements/Query/RealSpaceMatrixQuery.cpp
===================================================================
--- src/UIElements/Query/RealSpaceMatrixQuery.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Query/RealSpaceMatrixQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -20,5 +20,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 
@@ -33,5 +32,4 @@
 
 void Dialog::RealSpaceMatrixQuery::setResult() {
-  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
 }
 
Index: src/UIElements/Query/StringQuery.cpp
===================================================================
--- src/UIElements/Query/StringQuery.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Query/StringQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -20,5 +20,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 
@@ -32,5 +31,4 @@
 
 void Dialog::StringQuery::setResult() {
-  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
 }
 
Index: src/UIElements/Query/StringsQuery.cpp
===================================================================
--- src/UIElements/Query/StringsQuery.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Query/StringsQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -20,5 +20,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 
@@ -32,5 +31,4 @@
 
 void Dialog::StringsQuery::setResult() {
-  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
 }
 
Index: src/UIElements/Query/UnsignedIntQuery.cpp
===================================================================
--- src/UIElements/Query/UnsignedIntQuery.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Query/UnsignedIntQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -20,5 +20,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 
@@ -32,5 +31,4 @@
 
 void Dialog::UnsignedIntQuery::setResult() {
-  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
 }
 
Index: src/UIElements/Query/UnsignedIntsQuery.cpp
===================================================================
--- src/UIElements/Query/UnsignedIntsQuery.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Query/UnsignedIntsQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -20,5 +20,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 
@@ -32,5 +31,4 @@
 
 void Dialog::UnsignedIntsQuery::setResult() {
-  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
 }
 
Index: src/UIElements/Query/VectorQuery.cpp
===================================================================
--- src/UIElements/Query/VectorQuery.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Query/VectorQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -20,5 +20,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 
@@ -33,5 +32,4 @@
 
 void Dialog::VectorQuery::setResult() {
-  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
 }
 
Index: src/UIElements/Query/VectorsQuery.cpp
===================================================================
--- src/UIElements/Query/VectorsQuery.cpp	(revision 1887bbc5b2069c9a1d8a81ac07736aa4322f5f0c)
+++ src/UIElements/Query/VectorsQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
@@ -20,5 +20,4 @@
 
 #include "Dialog.hpp"
-#include "Actions/ValueStorage.hpp"
 
 
@@ -33,5 +32,4 @@
 
 void Dialog::VectorsQuery::setResult() {
-  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
 }
 
